### Method

# Gimp Vector3 mul_val

#### Declaration [src]

    GimpVector3
    gimp_vector3_mul_val (
      GimpVector3 vector,
      gdouble factor
    )

#### Description [src]

Identical to `gimp_vector3_mul()`, but the vector is passed by value rather than by reference.

#### Parameters

`factor`

  Type: `gdouble`

  A scalar.

#### Return value

Type: `GimpVector3`

The resulting `GimpVector3`.